=== debian/control ===
Source: libde265
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Joachim Bauch <bauch@struktur.de>
Build-Depends:
 debhelper-compat (= 13),
 qtbase5-dev | libqt4-dev,
 libsdl-dev,
 libswscale-dev,
 libx11-dev,
 libxext-dev,
 pkg-config
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/strukturag/libde265
Vcs-Git: https://salsa.debian.org/multimedia-team/libde265.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libde265

Package: libde265-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Open H.265 video codec implementation
 libde265 is an open source implementation of the H.265 video codec.
 It is written from scratch in plain C for simplicity and efficiency.
 Its simple API makes it easy to integrate it into other software.

Package: libde265-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends:
 libde265-0 (= ${binary:Version}),
 ${misc:Depends}
Description: Open H.265 video codec implementation - development files
 libde265 is an open source implementation of the H.265 video codec.
 It is written from scratch in plain C for simplicity and efficiency.
 Its simple API makes it easy to integrate it into other software.
 .
 The development headers for compiling programs that use libde265
 are provided by this package.

Package: libde265-examples
Section: video
Architecture: any
Depends:
 libde265-0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Open H.265 video codec implementation - examples
 libde265 is an open source implementation of the H.265 video codec.
 It is written from scratch in plain C for simplicity and efficiency.
 Its simple API makes it easy to integrate it into other software.
 .
 Sample applications using libde265 are provided by this package.
