=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 		cd $(CURDIR)/debian/tmp/usr/bin/ && mv sherlock265 \
 			libde265-sherlock265; \
 	fi
+
+override_dh_strip:
+	dh_strip --ddeb-migration='libde265-dbg (<< 1.0.2-2~)'
