## libde265 1.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project (libde265
     LANGUAGES C CXX
-    VERSION 1.0.11
+    VERSION 1.0.12
 )
 
 set(CMAKE_CXX_STANDARD 11)
@@ -11,7 +11,7 @@
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # The version number.
-set (NUMERIC_VERSION 0x01001100)
+set (NUMERIC_VERSION 0x01001200)
 set (PACKAGE_VERSION ${PROJECT_VERSION})
 
 include (${CMAKE_ROOT}/Modules/CheckCCompilerFlag.cmake)
