=== debian/changelog ===
libde265 (1.0.12-2ubuntu0.2) mantic-security; urgency=medium

  * SECURITY UPDATE: denial of service
    - debian/patches/CVE-2023-51792.patch: check validity of conformance
      window parameters.
    - CVE-2023-51792

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Mon, 06 May 2024 21:17:15 +0200

libde265 (1.0.12-2ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-43887.patch: fix buffer overflow via the
      num_tile_columns and num_tile_row parameters in the function
      pic_parameter_set::dump.
    - CVE-2023-43887
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-47471.patch: check for null-pointer in
      functon slice_segment_header::dump_slice_segment_header.
    - CVE-2023-47471
  * SECURITY UPDATE: heap-buffer-overflow
    - debian/patches/CVE-2023-49465.patch: fix buffer overflow via the
      derive_spatial_luma_vector_prediction function.
    - CVE-2023-49465
  * SECURITY UPDATE: heap-buffer-overflow
    - debian/patches/CVE-2023-49467.patch: prevent endless loop in
      decode_ref_idx_lX function when numRefIdxLXActive is invalid.
    - CVE-2023-49467
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-49468.patch: sanitize values if IPM is
      uninitialized in get_IntraPredMode function.
    - CVE-2023-49468

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 01 Mar 2024 10:32:46 +0100

libde265 (1.0.12-2) unstable; urgency=medium

  * Team upload
  * Clean Makefiles (Closes: #1047354)

  [ Vladimir Petko ]
  * add libde265 decoder smoke test (Closes: #1052214)

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 08:20:11 +0000

libde265 (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * Fixes CVE-2023-27102, CVE-2023-27103

 -- Joachim Bauch <bauch@struktur.de>  Tue, 20 Jun 2023 09:10:00 +0200
