=== debian/changelog ===
libde265 (1.0.15-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 20:09:53 +0100

libde265 (1.0.15-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:46:41 +0000

libde265 (1.0.15-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:34:33 +0000

libde265 (1.0.15-1) unstable; urgency=medium

  * New upstream version 1.0.15
  * Fixes CVE-2023-49465, CVE-2023-49467, CVE-2023-49468.
  * Add patch to fix "Libs.private" in libde265.pc.

 -- Joachim Bauch <bauch@struktur.de>  Thu, 21 Dec 2023 09:29:24 +0100

libde265 (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13
  * Fixes CVE-2023-47471 (Closes: #1056187), CVE-2023-43887.
  * Update patches for new upstream version.
  * d/control: Upstream switched examples to SDL2 (Closes: #1038097).
  * Update symbols for new upstream version.

 -- Joachim Bauch <bauch@struktur.de>  Tue, 21 Nov 2023 08:59:09 +0100
