=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,11 @@
 %:
 	dh $@
 
+
+override_dh_auto_test:
+	./debian/tests/test-decode
+	dh_auto_test
+
 override_dh_auto_install:
 	dh_auto_install
 	cd $(CURDIR)/debian/tmp/usr/bin/ && mv dec265 libde265-dec265
@@ -13,6 +18,3 @@
 		cd $(CURDIR)/debian/tmp/usr/bin/ && mv sherlock265 \
 			libde265-sherlock265; \
 	fi
-
-override_dh_strip:
-	dh_strip --ddeb-migration='libde265-dbg (<< 1.0.2-2~)'
