=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	./debian/tests/test-decode
+endif
 	dh_auto_test
 
 override_dh_auto_install:
